New upstream version: 5.0.0
This commit is contained in:
5
.gitignore
vendored
5
.gitignore
vendored
@@ -1,4 +1 @@
|
|||||||
/strongswan-4.6.2.tar.bz2
|
/strongswan-5.0.0.tar.bz2
|
||||||
/strongswan-4.6.3.tar.bz2
|
|
||||||
/strongswan-4.6.4.tar.bz2
|
|
||||||
/strongswan-0bb3c98.tar.gz
|
|
||||||
|
|||||||
5
sources
5
sources
@@ -1,4 +1 @@
|
|||||||
ed64e6746011930a70f3a271dc0e3c9e strongswan-4.6.2.tar.bz2
|
c8b861305def7c0abae04f7bbefec212 strongswan-5.0.0.tar.bz2
|
||||||
34146e514ced1738b4f2d9e7169bbb52 strongswan-4.6.3.tar.bz2
|
|
||||||
4c0999c42faa0860ae0afc4f8efd9d04 strongswan-4.6.4.tar.bz2
|
|
||||||
cf66335b6967712949389247c8b7d517 strongswan-0bb3c98.tar.gz
|
|
||||||
|
|||||||
@@ -1,27 +1,31 @@
|
|||||||
Index: strongswan-4.6.4/init/systemd/strongswan.service.in
|
Index: strongswan-5.0.0/init/Makefile.am
|
||||||
===================================================================
|
===================================================================
|
||||||
--- strongswan-4.6.4.orig/init/systemd/strongswan.service.in
|
--- strongswan-5.0.0.orig/init/Makefile.am
|
||||||
+++ strongswan-4.6.4/init/systemd/strongswan.service.in
|
+++ strongswan-5.0.0/init/Makefile.am
|
||||||
@@ -3,7 +3,7 @@ Description=strongSwan IPsec
|
@@ -1,5 +1,5 @@
|
||||||
After=syslog.target
|
|
||||||
|
|
||||||
[Service]
|
-SUBDIRS =
|
||||||
-ExecStart=@SBINDIR@/ipsec start --nofork
|
+SUBDIRS = sysvinit
|
||||||
+ExecStart=@SBINDIR@/strongswan start --nofork
|
|
||||||
StandardOutput=syslog
|
|
||||||
|
|
||||||
[Install]
|
if HAVE_SYSTEMD
|
||||||
Index: strongswan-4.6.4/init/sysvinit/strongswan
|
SUBDIRS += systemd
|
||||||
|
Index: strongswan-5.0.0/init/sysvinit/Makefile.am
|
||||||
===================================================================
|
===================================================================
|
||||||
--- /dev/null
|
--- /dev/null
|
||||||
+++ strongswan-4.6.4/init/sysvinit/strongswan
|
+++ strongswan-5.0.0/init/sysvinit/Makefile.am
|
||||||
|
@@ -0,0 +1 @@
|
||||||
|
+noinst_DATA = strongswan
|
||||||
|
Index: strongswan-5.0.0/init/sysvinit/strongswan.in
|
||||||
|
===================================================================
|
||||||
|
--- /dev/null
|
||||||
|
+++ strongswan-5.0.0/init/sysvinit/strongswan.in
|
||||||
@@ -0,0 +1,100 @@
|
@@ -0,0 +1,100 @@
|
||||||
+#!/bin/sh
|
+#!/bin/sh
|
||||||
+#
|
+#
|
||||||
+# strongswan An implementation of key management system for IPsec
|
+# strongswan An implementation of key management system for IPsec
|
||||||
+#
|
+#
|
||||||
+# chkconfig: - 48 52
|
+# chkconfig: - 48 52
|
||||||
+# description: Starts or stops the Strongswan daemons.
|
+# description: Starts or stops the Strongswan daemon.
|
||||||
+
|
+
|
||||||
+### BEGIN INIT INFO
|
+### BEGIN INIT INFO
|
||||||
+# Provides: ipsec
|
+# Provides: ipsec
|
||||||
@@ -35,7 +39,142 @@ Index: strongswan-4.6.4/init/sysvinit/strongswan
|
|||||||
+# Source function library.
|
+# Source function library.
|
||||||
+. /etc/rc.d/init.d/functions
|
+. /etc/rc.d/init.d/functions
|
||||||
+
|
+
|
||||||
+exec="/usr/sbin/strongswan"
|
+exec="@SBINDIR@/@IPSEC_SCRIPT@"
|
||||||
|
+prog="strongswan"
|
||||||
|
+status_prog="starter"
|
||||||
|
+config="/etc/strongswan/strongswan.conf"
|
||||||
|
+
|
||||||
|
+lockfile=/var/lock/subsys/$prog
|
||||||
|
+
|
||||||
|
+start() {
|
||||||
|
+ [ -x $exec ] || exit 5
|
||||||
|
+ [ -f $config ] || exit 6
|
||||||
|
+ echo -n $"Starting $prog: "
|
||||||
|
+ daemon $exec start
|
||||||
|
+ retval=$?
|
||||||
|
+ echo
|
||||||
|
+ [ $retval -eq 0 ] && touch $lockfile
|
||||||
|
+ return $retval
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+stop() {
|
||||||
|
+ echo -n $"Stopping $prog: "
|
||||||
|
+ $exec stop
|
||||||
|
+ retval=$?
|
||||||
|
+ echo
|
||||||
|
+ [ $retval -eq 0 ] && rm -f $lockfile
|
||||||
|
+ return $retval
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+restart() {
|
||||||
|
+ stop
|
||||||
|
+ start
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+reload() {
|
||||||
|
+ restart
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+force_reload() {
|
||||||
|
+ restart
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+_status() {
|
||||||
|
+ # run checks to determine if the service is running or use generic status
|
||||||
|
+ status $status_prog
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+_status_q() {
|
||||||
|
+ _status >/dev/null 2>&1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+
|
||||||
|
+case "$1" in
|
||||||
|
+ start)
|
||||||
|
+ _status_q && exit 0
|
||||||
|
+ $1
|
||||||
|
+ ;;
|
||||||
|
+ stop)
|
||||||
|
+ _status_q || exit 0
|
||||||
|
+ $1
|
||||||
|
+ ;;
|
||||||
|
+ restart)
|
||||||
|
+ $1
|
||||||
|
+ ;;
|
||||||
|
+ reload)
|
||||||
|
+ _status_q || exit 7
|
||||||
|
+ $1
|
||||||
|
+ ;;
|
||||||
|
+ force-reload)
|
||||||
|
+ force_reload
|
||||||
|
+ ;;
|
||||||
|
+ status)
|
||||||
|
+ _status
|
||||||
|
+ ;;
|
||||||
|
+ condrestart|try-restart)
|
||||||
|
+ _status_q || exit 0
|
||||||
|
+ restart
|
||||||
|
+ ;;
|
||||||
|
+ *)
|
||||||
|
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
|
||||||
|
+ exit 2
|
||||||
|
+esac
|
||||||
|
+exit $?
|
||||||
|
Index: strongswan-5.0.0/configure.in
|
||||||
|
===================================================================
|
||||||
|
--- strongswan-5.0.0.orig/configure.in
|
||||||
|
+++ strongswan-5.0.0/configure.in
|
||||||
|
@@ -1082,6 +1082,9 @@ AC_OUTPUT(
|
||||||
|
man/Makefile
|
||||||
|
init/Makefile
|
||||||
|
init/systemd/Makefile
|
||||||
|
+ init/systemd/strongswan.service
|
||||||
|
+ init/sysvinit/Makefile
|
||||||
|
+ init/sysvinit/strongswan
|
||||||
|
src/Makefile
|
||||||
|
src/include/Makefile
|
||||||
|
src/libstrongswan/Makefile
|
||||||
|
Index: strongswan-5.0.0/init/systemd/Makefile.am
|
||||||
|
===================================================================
|
||||||
|
--- strongswan-5.0.0.orig/init/systemd/Makefile.am
|
||||||
|
+++ strongswan-5.0.0/init/systemd/Makefile.am
|
||||||
|
@@ -1,11 +1 @@
|
||||||
|
-
|
||||||
|
-EXTRA_DIST = strongswan.service.in
|
||||||
|
-CLEANFILES = strongswan.service
|
||||||
|
-
|
||||||
|
systemdsystemunit_DATA = strongswan.service
|
||||||
|
-
|
||||||
|
-strongswan.service : strongswan.service.in
|
||||||
|
- sed \
|
||||||
|
- -e "s:@SBINDIR@:$(sbindir):" \
|
||||||
|
- -e "s:@IPSEC_SCRIPT@:$(ipsec_script):" \
|
||||||
|
- $(srcdir)/$@.in > $@
|
||||||
|
Index: strongswan-5.0.0/init/sysvinit/strongswan
|
||||||
|
===================================================================
|
||||||
|
--- /dev/null
|
||||||
|
+++ strongswan-5.0.0/init/sysvinit/strongswan
|
||||||
|
@@ -0,0 +1,100 @@
|
||||||
|
+#!/bin/sh
|
||||||
|
+#
|
||||||
|
+# strongswan An implementation of key management system for IPsec
|
||||||
|
+#
|
||||||
|
+# chkconfig: - 48 52
|
||||||
|
+# description: Starts or stops the Strongswan daemon.
|
||||||
|
+
|
||||||
|
+### BEGIN INIT INFO
|
||||||
|
+# Provides: ipsec
|
||||||
|
+# Required-Start: $network $remote_fs $syslog $named
|
||||||
|
+# Required-Stop: $syslog $remote_fs
|
||||||
|
+# Default-Start:
|
||||||
|
+# Default-Stop: 0 1 6
|
||||||
|
+# Short-Description: Start Strongswan daemons at boot time
|
||||||
|
+### END INIT INFO
|
||||||
|
+
|
||||||
|
+# Source function library.
|
||||||
|
+. /etc/rc.d/init.d/functions
|
||||||
|
+
|
||||||
|
+exec="@SBINDIR@/@IPSEC_SCRIPT@"
|
||||||
+prog="strongswan"
|
+prog="strongswan"
|
||||||
+status_prog="starter"
|
+status_prog="starter"
|
||||||
+config="/etc/strongswan/strongswan.conf"
|
+config="/etc/strongswan/strongswan.conf"
|
||||||
|
|||||||
@@ -1,14 +1,15 @@
|
|||||||
%define snapshot .git20120619
|
#%define snapshot .git20120619
|
||||||
%define commit 0bb3c98
|
#%define commit 0bb3c98
|
||||||
|
|
||||||
Name: strongswan
|
Name: strongswan
|
||||||
Version: 5.0.0
|
Version: 5.0.0
|
||||||
Release: 0.3%{snapshot}%{?dist}
|
Release: 1%{snapshot}%{?dist}
|
||||||
Summary: An OpenSource IPsec-based VPN Solution
|
Summary: An OpenSource IPsec-based VPN Solution
|
||||||
Group: System Environment/Daemons
|
Group: System Environment/Daemons
|
||||||
License: GPLv2+
|
License: GPLv2+
|
||||||
URL: http://www.strongswan.org/
|
URL: http://www.strongswan.org/
|
||||||
Source0: %{name}-%{commit}.tar.gz
|
Source0: http://download.strongswan.org/%{name}-%{version}.tar.bz2
|
||||||
|
Patch0: strongswan-init.patch
|
||||||
BuildRequires: gmp-devel
|
BuildRequires: gmp-devel
|
||||||
BuildRequires: libcurl-devel
|
BuildRequires: libcurl-devel
|
||||||
BuildRequires: openldap-devel
|
BuildRequires: openldap-devel
|
||||||
@@ -16,13 +17,14 @@ BuildRequires: openssl-devel
|
|||||||
BuildRequires: NetworkManager-devel
|
BuildRequires: NetworkManager-devel
|
||||||
BuildRequires: NetworkManager-glib-devel
|
BuildRequires: NetworkManager-glib-devel
|
||||||
# when building from git
|
# when building from git
|
||||||
BuildRequires: gperf
|
#BuildRequires: gperf
|
||||||
BuildRequires: flex
|
#BuildRequires: flex
|
||||||
BuildRequires: bison
|
#BuildRequires: bison
|
||||||
BuildRequires: automake
|
BuildRequires: automake
|
||||||
BuildRequires: autoconf
|
#BuildRequires: autoconf
|
||||||
BuildRequires: libtool
|
#BuildRequires: libtool
|
||||||
BuildRequires: gettext-devel
|
#BuildRequires: gettext-devel
|
||||||
|
#
|
||||||
%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
|
%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
|
||||||
BuildRequires: systemd-units
|
BuildRequires: systemd-units
|
||||||
Requires(post): systemd-units
|
Requires(post): systemd-units
|
||||||
@@ -46,11 +48,15 @@ NetworkManager plugin integrates a subset of Strongswan capabilities
|
|||||||
to NetworkManager.
|
to NetworkManager.
|
||||||
|
|
||||||
%prep
|
%prep
|
||||||
%setup -q -n %{name}-%{commit}
|
%setup -q
|
||||||
|
# when building from git
|
||||||
|
#%setup -q -n %{name}-%{commit}
|
||||||
|
%patch0 -p1
|
||||||
echo "For migration from 4.6 to 5.0 see http://wiki.strongswan.org/projects/strongswan/wiki/CharonPlutoIKEv1" > README.Fedora
|
echo "For migration from 4.6 to 5.0 see http://wiki.strongswan.org/projects/strongswan/wiki/CharonPlutoIKEv1" > README.Fedora
|
||||||
|
|
||||||
%build
|
%build
|
||||||
./autogen.sh
|
# for initscript patch to work
|
||||||
|
autoreconf
|
||||||
%configure --disable-static \
|
%configure --disable-static \
|
||||||
--with-ipsec-script=%{name} \
|
--with-ipsec-script=%{name} \
|
||||||
--sysconfdir=%{_sysconfdir}/%{name} \
|
--sysconfdir=%{_sysconfdir}/%{name} \
|
||||||
@@ -84,7 +90,7 @@ install -D -m 755 init/sysvinit/%{name} %{buildroot}/%{_initddir}/%{name}
|
|||||||
|
|
||||||
|
|
||||||
%files
|
%files
|
||||||
%doc README README.Fedora COPYING NEWS CREDITS TODO
|
%doc README README.Fedora COPYING NEWS TODO
|
||||||
%dir %{_sysconfdir}/%{name}
|
%dir %{_sysconfdir}/%{name}
|
||||||
%config(noreplace) %{_sysconfdir}/%{name}/ipsec.conf
|
%config(noreplace) %{_sysconfdir}/%{name}/ipsec.conf
|
||||||
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
|
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
|
||||||
@@ -128,6 +134,7 @@ install -D -m 755 init/sysvinit/%{name} %{buildroot}/%{_initddir}/%{name}
|
|||||||
%{_libdir}/%{name}/plugins/lib%{name}-stroke.so
|
%{_libdir}/%{name}/plugins/lib%{name}-stroke.so
|
||||||
%{_libdir}/%{name}/plugins/lib%{name}-updown.so
|
%{_libdir}/%{name}/plugins/lib%{name}-updown.so
|
||||||
%{_libdir}/%{name}/plugins/lib%{name}-x509.so
|
%{_libdir}/%{name}/plugins/lib%{name}-x509.so
|
||||||
|
%{_libdir}/%{name}/plugins/lib%{name}-xauth-generic.so
|
||||||
%{_libdir}/%{name}/plugins/lib%{name}-xcbc.so
|
%{_libdir}/%{name}/plugins/lib%{name}-xcbc.so
|
||||||
%dir %{_libexecdir}/%{name}
|
%dir %{_libexecdir}/%{name}
|
||||||
%{_libexecdir}/%{name}/_copyright
|
%{_libexecdir}/%{name}/_copyright
|
||||||
@@ -191,6 +198,12 @@ fi
|
|||||||
%endif
|
%endif
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Wed Jul 04 2012 Pavel Šimerda <psimerda@redhat.com> - 5.0.0-1.git20120619
|
||||||
|
- Update to current upstream release
|
||||||
|
- Comment out all stuff that is only needed for git builds
|
||||||
|
- Remove renaming patch from git
|
||||||
|
- Improve init patch used for EPEL
|
||||||
|
|
||||||
* Thu Jun 21 2012 Pavel Šimerda <psimerda@redhat.com> - 5.0.0-0.3.git20120619
|
* Thu Jun 21 2012 Pavel Šimerda <psimerda@redhat.com> - 5.0.0-0.3.git20120619
|
||||||
- Build with openssl plugin enabled
|
- Build with openssl plugin enabled
|
||||||
|
|
||||||
|
|||||||
Reference in New Issue
Block a user